<?php

namespace App\Filament\Supplier\Resources\ProductStocks\Pages;

use App\Filament\Supplier\Resources\ProductStocks\ProductStockResource;
use Filament\Actions\Action;
use Filament\Resources\Pages\EditRecord;

class EditProductStock extends EditRecord
{
    protected static string $resource = ProductStockResource::class;

    protected function getHeaderActions(): array
    {
        return [
            Action::make('back')
                ->label('Vissza a listához')
                ->url(fn () => ProductStockResource::getUrl('index'))
                ->color('gray'),
        ];
    }

    protected function getRedirectUrl(): string
    {
        return ProductStockResource::getUrl('index');
    }
}
